Index: trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make
===================================================================
--- trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1446)
+++ trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1451)
@@ -1517,14 +1548,7 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -1538,7 +1562,8 @@
 	traqsr.F90 \
 	trc.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(oce_trc.o) \
@@ -1547,5 +1572,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	lib_mpp.F90 \
 	oce_trc.F90 \
 	p4zche.F90 \
@@ -1557,4 +1581,11 @@
 	p4zflx.F90
 $(MODEL_LIB)(p4zint.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1572,14 +1603,7 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	par_oce.F90 \
@@ -1590,7 +1614,7 @@
 	trabbl.F90 \
 	traqsr.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
@@ -1602,4 +1626,11 @@
 	p4zint.F90
 $(MODEL_LIB)(p4zlim.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1617,14 +1648,7 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	par_oce.F90 \
@@ -1635,7 +1659,7 @@
 	trabbl.F90 \
 	traqsr.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
@@ -1648,4 +1672,11 @@
 	p4zlim.F90
 $(MODEL_LIB)(p4zlys.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1664,14 +1695,7 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -1683,7 +1707,7 @@
 	trabbl.F90 \
 	traqsr.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
@@ -1697,4 +1721,11 @@
 	p4zlys.F90
 $(MODEL_LIB)(p4zmeso.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1716,14 +1747,7 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -1738,7 +1762,7 @@
 	traqsr.F90 \
 	trc.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(p4zint.o) \
@@ -1757,4 +1781,11 @@
 	p4zmeso.F90
 $(MODEL_LIB)(p4zmicro.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1776,14 +1807,7 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -1798,7 +1822,7 @@
 	traqsr.F90 \
 	trc.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(p4zint.o) \
@@ -1817,4 +1841,11 @@
 	p4zmicro.F90
 $(MODEL_LIB)(p4zmort.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1836,14 +1867,7 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -1858,7 +1882,7 @@
 	traqsr.F90 \
 	trc.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(p4zsink.o) \
@@ -1875,4 +1899,11 @@
 	p4zmort.F90
 $(MODEL_LIB)(p4zopt.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1890,14 +1921,7 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	par_oce.F90 \
@@ -1908,7 +1932,7 @@
 	trabbl.F90 \
 	traqsr.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
@@ -1923,4 +1947,11 @@
 	p4zopt.F90
 $(MODEL_LIB)(p4zprod.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1942,14 +1973,7 @@
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trc_oce.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -1964,7 +1988,8 @@
 	trc.F90 \
 	trc_oce.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(oce_trc.o) \
@@ -1975,5 +2000,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	lib_mpp.F90 \
 	oce_trc.F90 \
 	p4zint.F90 \
@@ -1987,4 +2011,11 @@
 	p4zprod.F90
 $(MODEL_LIB)(p4zrem.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2011,14 +2042,7 @@
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trc_oce.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -2038,7 +2062,7 @@
 	trc.F90 \
 	trc_oce.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(p4zche.o) \
@@ -2063,4 +2087,16 @@
 	p4zrem.F90
 $(MODEL_LIB)(p4zsed.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
+	iom_ioipsl.F90 \
+	iom_nf90.F90 \
+	iom_rstdimg.F90 \
+	lbclnk.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2098,19 +2134,7 @@
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trc_oce.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -2136,7 +2160,10 @@
 	trc.F90 \
 	trc_oce.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
+	iom.F90 \
+	lbclnk.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
@@ -2152,7 +2179,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	iom.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
 	oce_trc.F90 \
 	p4zbio.F90 \
@@ -2169,4 +2193,11 @@
 	p4zsed.F90
 $(MODEL_LIB)(p4zsink.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2185,14 +2216,7 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -2204,7 +2228,7 @@
 	trabbl.F90 \
 	traqsr.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
@@ -2317,16 +2341,19 @@
 	par_trc.F90
 $(MODEL_LIB)(phycst.o) :	\
+	lib_print.f90 \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	in_out_manager.F90 \
+	in_out_manager.F90 \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(par_oce.o) \
 	par_oce.F90 \
 	phycst.F90
 $(MODEL_LIB)(prtctl.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2334,17 +2361,22 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
 	prtctl.F90
 $(MODEL_LIB)(prtctl_trc.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2368,15 +2400,7 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	par_c14b.F90 \
@@ -2392,13 +2416,13 @@
 	trabbl.F90 \
 	traqsr.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(par_trc.o) \
 	oce_trc.F90 \
 	par_trc.F90 \
@@ -2417,31 +2441,8 @@
 	par_oce.F90 \
 	sbcrnf.F90
-$(MODEL_LIB)(sed.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_pisces.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(sms_pisces.o) \
-	$(MODEL_LIB)(trc.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_print.f90 \
-	oce_trc.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	par_pisces.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	prtctl_trc.F90 \
-	sms_pisces.F90 \
-	trc.F90 \
+$(MODEL_LIB)(sedadv.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2452,7 +2453,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2460,23 +2458,4 @@
 	sms_pisces.F90 \
 	trc.F90 \
-	KEY_CPP \
-	sed.F90
-$(MODEL_LIB)(sedadv.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(p4zsink.o) \
-	$(MODEL_LIB)(par_sed.o) \
-	$(MODEL_LIB)(sms_pisces.o) \
-	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	oce.F90 \
-	p4zsink.F90 \
-	par_sed.F90 \
-	sms_pisces.F90 \
-	trc.F90 \
 	$(MODEL_LIB)(sed.o) \
 	sed.F90 \
@@ -2495,4 +2474,7 @@
 	sedarr.F90
 $(MODEL_LIB)(sedbtb.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2504,7 +2486,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2513,6 +2492,6 @@
 	sms_pisces.F90 \
 	trc.F90 \
+	$(MODEL_LIB)(sedmat.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedmat.o) \
 	sed.F90 \
 	sedmat.F90 \
@@ -2520,4 +2499,7 @@
 	sedbtb.F90
 $(MODEL_LIB)(sedchem.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2528,7 +2510,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2536,11 +2515,14 @@
 	sms_pisces.F90 \
 	trc.F90 \
+	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedarr.o) \
+	sedarr.F90 \
 	sed.F90 \
-	sedarr.F90 \
 	KEY_CPP \
 	sedchem.F90
 $(MODEL_LIB)(sedco3.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2551,7 +2533,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2564,4 +2543,7 @@
 	sedco3.F90
 $(MODEL_LIB)(seddsr.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2573,7 +2555,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2582,13 +2561,21 @@
 	sms_pisces.F90 \
 	trc.F90 \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedco3.o) \
 	$(MODEL_LIB)(sedmat.o) \
+	$(MODEL_LIB)(sed.o) \
+	sedco3.F90 \
 	sed.F90 \
-	sedco3.F90 \
 	sedmat.F90 \
 	KEY_CPP \
 	seddsr.F90
 $(MODEL_LIB)(seddta.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
+	iom_ioipsl.F90 \
+	iom_nf90.F90 \
+	iom_rstdimg.F90 \
+	lbclnk.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2604,33 +2591,81 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	oce.F90 \
+	p4zsink.F90 \
+	par_sed.F90 \
+	sms_pisces.F90 \
+	trc.F90 \
+	zdfddm.F90 \
+	iom.F90 \
+	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(sedarr.o) \
+	$(MODEL_LIB)(sed.o) \
+	sedarr.F90 \
+	sed.F90 \
+	KEY_CPP \
+	seddta.F90
+$(MODEL_LIB)(sed.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_print.f90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(par_pisces.o) \
+	$(MODEL_LIB)(par_trc.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
+	$(MODEL_LIB)(prtctl_trc.o) \
+	$(MODEL_LIB)(sms_pisces.o) \
+	$(MODEL_LIB)(trc.o) \
+	oce_trc.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	par_pisces.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	prtctl.F90 \
+	prtctl_trc.F90 \
+	sms_pisces.F90 \
+	trc.F90 \
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(p4zsink.o) \
+	$(MODEL_LIB)(par_sed.o) \
+	$(MODEL_LIB)(sms_pisces.o) \
+	$(MODEL_LIB)(trc.o) \
+	oce.F90 \
+	p4zsink.F90 \
+	par_sed.F90 \
+	sms_pisces.F90 \
+	trc.F90 \
+	KEY_CPP \
+	sed.F90
+$(MODEL_LIB)(sedini.o) :	\
 	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
 	iom_def.F90 \
+	iom.F90 \
 	iom_ioipsl.F90 \
 	iom_nf90.F90 \
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
-	oce.F90 \
-	p4zsink.F90 \
-	par_sed.F90 \
-	sms_pisces.F90 \
-	trc.F90 \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedarr.o) \
-	iom.F90 \
-	sed.F90 \
-	sedarr.F90 \
-	KEY_CPP \
-	seddta.F90
-$(MODEL_LIB)(sedini.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(iom_ioipsl.o) \
 	$(MODEL_LIB)(iom_nf90.o) \
+	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
@@ -2638,41 +2673,37 @@
 	$(MODEL_LIB)(p4zsink.o) \
 	$(MODEL_LIB)(par_sed.o) \
+	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
 	oce.F90 \
 	p4zsink.F90 \
 	par_sed.F90 \
+	sedarr.F90 \
 	sed.F90 \
-	sedarr.F90 \
 	sms_pisces.F90 \
 	trc.F90 \
+	zdfddm.F90 \
+	iom.F90 \
 	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sedchem.o) \
 	$(MODEL_LIB)(sedco3.o) \
 	$(MODEL_LIB)(seddta.o) \
+	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedrst.o) \
-	iom.F90 \
-	sed.F90 \
 	sedarr.F90 \
 	sedchem.F90 \
 	sedco3.F90 \
 	seddta.F90 \
+	sed.F90 \
 	sedrst.F90 \
 	KEY_CPP \
 	sedini.F90
 $(MODEL_LIB)(sedmat.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2683,7 +2714,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2696,4 +2724,7 @@
 	sedmat.F90
 $(MODEL_LIB)(sedmbc.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2702,27 +2733,28 @@
 	$(MODEL_LIB)(p4zsink.o) \
 	$(MODEL_LIB)(par_sed.o) \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedco3.o) \
 	$(MODEL_LIB)(sedmat.o) \
+	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
 	par_sed.F90 \
+	sedco3.F90 \
 	sed.F90 \
-	sedco3.F90 \
 	sedmat.F90 \
 	sms_pisces.F90 \
 	trc.F90 \
+	$(MODEL_LIB)(seddsr.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(seddsr.o) \
+	seddsr.F90 \
 	sed.F90 \
-	seddsr.F90 \
 	KEY_CPP \
 	sedmbc.F90
 $(MODEL_LIB)(sedmodel.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2732,5 +2764,4 @@
 	$(MODEL_LIB)(p4zsink.o) \
 	$(MODEL_LIB)(par_sed.o) \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedadv.o) \
 	$(MODEL_LIB)(sedarr.o) \
@@ -2741,4 +2772,5 @@
 	$(MODEL_LIB)(seddta.o) \
 	$(MODEL_LIB)(sedmbc.o) \
+	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedrst.o) \
 	$(MODEL_LIB)(sedsfc.o) \
@@ -2746,12 +2778,7 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
 	oce.F90 \
 	p4zsink.F90 \
 	par_sed.F90 \
-	sed.F90 \
 	sedadv.F90 \
 	sedarr.F90 \
@@ -2761,4 +2788,5 @@
 	seddsr.F90 \
 	seddta.F90 \
+	sed.F90 \
 	sedmbc.F90 \
 	sedrst.F90 \
@@ -2767,6 +2795,6 @@
 	sms_pisces.F90 \
 	trc.F90 \
+	$(MODEL_LIB)(sedini.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedini.o) \
 	$(MODEL_LIB)(sedstp.o) \
 	sed.F90 \
@@ -2776,4 +2804,12 @@
 	sedmodel.F90
 $(MODEL_LIB)(sedrst.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
+	iom_ioipsl.F90 \
+	iom_nf90.F90 \
+	iom_rstdimg.F90 \
+	lbclnk.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2789,12 +2825,5 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2802,14 +2831,19 @@
 	sms_pisces.F90 \
 	trc.F90 \
+	zdfddm.F90 \
+	iom.F90 \
 	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedarr.o) \
-	iom.F90 \
+	sedarr.F90 \
 	sed.F90 \
-	sedarr.F90 \
 	$(IOIPSL_LIB) \
 	KEY_CPP \
 	sedrst.F90
 $(MODEL_LIB)(sedsfc.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2819,28 +2853,29 @@
 	$(MODEL_LIB)(p4zsink.o) \
 	$(MODEL_LIB)(par_sed.o) \
+	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
 	oce.F90 \
 	p4zsink.F90 \
 	par_sed.F90 \
+	sedarr.F90 \
 	sed.F90 \
-	sedarr.F90 \
 	sms_pisces.F90 \
 	trc.F90 \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(seddta.o) \
-	sed.F90 \
+	$(MODEL_LIB)(sed.o) \
 	sedarr.F90 \
 	seddta.F90 \
+	sed.F90 \
 	KEY_CPP \
 	sedsfc.F90
 $(MODEL_LIB)(sedstp.o) :	\
+	daymod.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
@@ -2851,5 +2886,4 @@
 	$(MODEL_LIB)(p4zsink.o) \
 	$(MODEL_LIB)(par_sed.o) \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sedco3.o) \
@@ -2857,23 +2891,18 @@
 	$(MODEL_LIB)(seddta.o) \
 	$(MODEL_LIB)(sedmat.o) \
+	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dianam.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
 	oce.F90 \
 	p4zsink.F90 \
 	par_sed.F90 \
-	sed.F90 \
 	sedarr.F90 \
 	sedco3.F90 \
 	seddsr.F90 \
 	seddta.F90 \
+	sed.F90 \
 	sedmat.F90 \
 	sms_pisces.F90 \
 	trc.F90 \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedadv.o) \
 	$(MODEL_LIB)(sedbtb.o) \
@@ -2883,8 +2912,8 @@
 	$(MODEL_LIB)(seddta.o) \
 	$(MODEL_LIB)(sedmbc.o) \
+	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedrst.o) \
 	$(MODEL_LIB)(sedsfc.o) \
 	$(MODEL_LIB)(sedwri.o) \
-	sed.F90 \
 	sedadv.F90 \
 	sedbtb.F90 \
@@ -2893,4 +2922,5 @@
 	seddsr.F90 \
 	seddta.F90 \
+	sed.F90 \
 	sedmbc.F90 \
 	sedrst.F90 \
@@ -2900,4 +2930,7 @@
 	sedstp.F90
 $(MODEL_LIB)(sedwri.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2909,7 +2942,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2918,10 +2948,10 @@
 	sms_pisces.F90 \
 	trc.F90 \
+	dianam.F90 \
 	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedarr.o) \
-	dianam.F90 \
+	sedarr.F90 \
 	sed.F90 \
-	sedarr.F90 \
 	$(IOIPSL_LIB) \
 	KEY_CPP \
@@ -2972,4 +3002,15 @@
 	sol_oce.F90
 $(MODEL_LIB)(step.o) :	\
+	dianam.F90 \
+	dom_oce.F90 \
+	eosbn2.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	lbclnk.F90 \
+	ldfeiv.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2994,31 +3035,20 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trcdia.o) \
+	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trcrst.o) \
-	$(MODEL_LIB)(trcsms.o) \
 	$(MODEL_LIB)(trcsms_c14b.o) \
 	$(MODEL_LIB)(trcsms_cfc.o) \
 	$(MODEL_LIB)(trcsms_my_trc.o) \
+	$(MODEL_LIB)(trcsms.o) \
+	$(MODEL_LIB)(trctrp_lec.o) \
 	$(MODEL_LIB)(trctrp.o) \
-	$(MODEL_LIB)(trctrp_lec.o) \
 	$(MODEL_LIB)(trdmld_trc.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
 	$(MODEL_LIB)(trp_trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zpshde.o) \
-	dianam.F90 \
-	dom_oce.F90 \
-	eosbn2.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	lbclnk.F90 \
-	ldfeiv.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
 	oce.F90 \
 	oce_trc.F90 \
@@ -3032,10 +3062,10 @@
 	sms_pisces.F90 \
 	trabbl.F90 \
-	trc.F90 \
 	trcdia.F90 \
+	trc.F90 \
 	trcrst.F90 \
-	trcsms.F90 \
 	trcsms_c14b.F90 \
 	trcsms_cfc.F90 \
+	trcsms.F90 \
 	trcsms_my_trc.F90 \
 	trctrp.F90 \
@@ -3044,8 +3074,15 @@
 	trdmld_trc_oce.F90 \
 	trp_trc.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
 	zpshde.F90 \
+	daymod.F90 \
+	dom_oce.F90 \
+	dtadyn.F90 \
+	eosbn2.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	ldftra_oce.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -3061,11 +3098,4 @@
 	$(MODEL_LIB)(trcstp.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dtadyn.F90 \
-	eosbn2.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	ldftra_oce.F90 \
 	oce.F90 \
 	stpctl.F90 \
@@ -3078,4 +3108,8 @@
 	step.F90
 $(MODEL_LIB)(stpctl.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -3085,31 +3119,27 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
 	oce.F90 \
 	stpctl.F90
 $(MODEL_LIB)(trabbl.o) :	\
+	lib_print.f90 \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
-	$(MODEL_LIB)(in_out_manager.o) \
-	in_out_manager.F90 \
+	in_out_manager.F90 \
+	$(MODEL_LIB)(in_out_manager.o) \
 	domzgr_substitute.h90 \
 	vectopt_loop_substitute.h90 \
